Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceAuthProvider

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceAuthProvider

All Implemented Interfaces:
  AuthProvider

    public class ClearspaceAuthProvider

extends Object
implements AuthProvider

The ClearspaceAuthProvider uses the PermissionService web service inside of Clearspace to retrieve authenticate users. It current version of Clearspace only supports plain authentication.

Author:
  Gabriel Guardincerri

Field Summary
`protected static String` | `URL_PREFIX`

Constructor Summary
`ClearspaceAuthProvider()`

Method Summary
`void` | `authenticate(String username, String password)` Authenticates the user using permissionService/authenticate service of Clearspace.
`void` | `authenticate(String username, String token, String digest)` This method is not supported.
`String` | `getPassword(String username)` This method is not supported.
`boolean` | `isDigestSupported()` Clearspace currently doesn't support digest authentication.
`boolean` | `isPlainSupported()` Clearspace currently supports only plain authentication.
`void` | `setPassword(String username, String password)` This method is not supported.
`boolean` | `supportsPasswordRetrieval()` This method is not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PREFIX

    protected static final String URL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ClearspaceAuthProvider

    public ClearspaceAuthProvider()

Method Detail

### isPlainSupported

    public boolean isPlainSupported()

  Clearspace currently supports only plain authentication.

  Specified by:
    `isPlainSupported` in interface `AuthProvider`
  Returns:
    true

### isDigestSupported

    public boolean isDigestSupported()

  Clearspace currently doesn't support digest authentication.

  Specified by:
    `isDigestSupported` in interface `AuthProvider`
  Returns:
    false

### authenticate

    public void authenticate(String username,
                             String password)
                      throws UnauthorizedException,
                             ConnectionException,
                             InternalUnauthenticatedException

  Authenticates the user using permissionService/authenticate service of Clearspace. Throws an UnauthorizedException if the user or password are incorrect.

  Specified by:
    `authenticate` in interface `AuthProvider`
  Parameters:
    `username` - the username.
    `password` - the password.
  Throws:
    `UnauthorizedException` - if the username of password are incorrect.
    `ConnectionException` - it there is a problem connecting to user and group system
    `InternalUnauthenticatedException` - if there is a problem authentication Openfire itself into the user and group system

### authenticate

    public void authenticate(String username,
                             String token,
                             String digest)
                      throws UnauthorizedException

  This method is not supported.

  Specified by:
    `authenticate` in interface `AuthProvider`
  Parameters:
    `username` - the username
    `token` - the token
    `digest` - the digest
  Throws:
    `UnauthorizedException` - never throws it
    `UnsupportedOperationException` - always throws it

### getPassword

    public String getPassword(String username)
                       throws UserNotFoundException,
                              UnsupportedOperationException

  This method is not supported.

  Specified by:
    `getPassword` in interface `AuthProvider`
  Parameters:
    `username` - the username of the user.
  Returns:
    the user's password.
  Throws:
    `UnsupportedOperationException` - always throws it
    `UserNotFoundException` - if the given user's password could not be loaded.

### setPassword

    public void setPassword(String username,
                            String password)
                     throws UserNotFoundException,
                            UnsupportedOperationException

  This method is not supported.

  Specified by:
    `setPassword` in interface `AuthProvider`
  Parameters:
    `username` - the username of the user.
    `password` - the new plaintext password for the user.
  Throws:
    `UnsupportedOperationException` - always throws it
    `UserNotFoundException` - if the given user could not be loaded.

### supportsPasswordRetrieval

    public boolean supportsPasswordRetrieval()

  This method is not supported.

  Specified by:
    `supportsPasswordRetrieval` in interface `AuthProvider`
  Returns:
    true if this UserProvider is able to retrieve user passwords from the backend user store.
  Throws:
    `UnsupportedOperationException` - always throws it

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.